Class | FFI::Struct
In: | lib/ffi/struct.rb
Parent: | Object

### Methods

align align alignment alignment by_value callback clear enclosing_module find_type in layout members members offset_of offset_of offsets offsets out size size size= to_ptr values

### Public Class methods

align()
alignment()
by_value()
in()
layout(*spec)
members()
offset_of(name)
offsets()
out()
size()
size=(size)

### Protected Class methods

callback(params, ret)
enclosing_module()
find_type(type, mod = nil)

### Public Instance methods

align()

Alias for alignment

alignment()
clear()
members()
offset_of(name)
offsets()
size()
to_ptr()
values()

[Validate]